<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 02/12/2004 *
 * ===================                          Last change: 02/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_doubler.php                            *
 * -------------------------------------------------------------------- *
 * Short description : List doubler entries                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Verdoppler-Eintraege auflisten                   *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (!isGetRequestElementSet('do')) {
	// Chosse the overview page as default
	setGetRequestElement('do', 'overview');
} else {
	// Set table title automatically
	if (!isGetRequestElementSet('select')) {
		setGetRequestElement('select', 'all');
	} // END - if

	// Prepare header
	$content['list_' . strtolower(getRequestElement('do'))] = strtoupper('{--ADMIN_DOUBLER_LIST_' . getRequestElement('do') . '_' . getRequestElement('select') . '--}');
}

// Load data for the template
switch (getRequestElement('do')) {
	case 'already':  // Already payed out points
		break;

	case 'overview': // General overview page
		// Prepare links
		foreach (array('already_direct','already_ref','waiting_direct','waiting_ref') as $entry) {
			$content[$entry . '_link'] = '0';
		} // END - switch

		// Init sums
		$sumAlready = '0'; $sumWaiting = '0';

		// Number of direct already payouts and referral
		$count = countSumTotalData('Y','doubler','id','completed',true, " AND `is_ref`='N'");

		if ($count > 0) {
			// Something was payed out
			$sumAlready += $count;
			$content['already_direct_link'] = '<a href="{%url=modules.php?module=admin&amp;what=list_doubler&amp;do=already&amp;select=direct%}">' . $count . '</a>';
		} // END - if

		$count = countSumTotalData('Y','doubler','id','completed',true, " AND `is_ref`='Y'");

		if ($count > 0) {
			// Something was payed out
			$sumAlready += $count;
			$content['already_ref_link'] = '<a href="{%url=modules.php?module=admin&amp;what=list_doubler&amp;do=already&amp;select=ref%}">' . $count . '</a>';
		} // END - if

		// And the same for waiting pouts (direct and referral)
		$count = countSumTotalData('N','doubler','id','completed',true, " AND `is_ref`='N'");

		if ($count > 0) {
			// Something was payed out
			$sumWaiting += $count;
			$content['waiting_direct_link'] = '<a href="{%url=modules.php?module=admin&amp;what=list_doubler&amp;do=waiting&amp;select=direct%}">' . $count . '</a>';
		} // END - if

		$count = countSumTotalData('N','doubler','id','completed',true, " AND `is_ref`='Y'");

		if ($count > 0) {
			// Something was payed out
			$sumWaiting += $count;
			$content['waiting_ref_link'] = '<a href="{%url=modules.php?module=admin&amp;what=list_doubler&amp;do=waiting&amp;select=ref%}">' . $count . '</a>';
		} // END - if

		// Links for all
		$content['already_all_link'] = '<a href="{%url=modules.php?module=admin&amp;what=list_doubler&amp;do=already&amp;select=all%}">' . $sumAlready . '</a>';
		$content['waiting_all_link'] = '<a href="{%url=modules.php?module=admin&amp;what=list_doubler&amp;do=waiting&amp;select=all%}">' . $sumWaiting . '</a>';

		// All data is loaded here...
		break;
} // END - switch

// Load mode template
loadTemplate('admin_list_doubler_' . getRequestElement('do'), false, $content);

// [EOF]
?>
